/* This code is adopted from "Applied Cryptography" by Bruce Schneier
	(Second Edition), John Wiley & Sons, pp . 647-654.
*/

typedef struct
{
  unsigned long s_pp[4][256];
  unsigned long p_p[18];
} ARRAYS;

void blowfish_initialize(ARRAYS *arrays_p, unsigned char *key_p,
								 int key_len);
void blowfish_encrypt(ARRAYS *arrays_p, unsigned long *data_p,
							 int blocks);
void blowfish_decrypt(ARRAYS *arrays_p, unsigned long *data_p,
							 int blocks);
