/*
 * Author: Andrew D. Fernandes <mailto:andrew@cryptonym.com>
 *         Cryptonym Corporation <http://www.cryptonym.com>
 */

#include <mpi.h>
#include <stdlib.h>

extern int debug;
extern int mode;

void init_dsa();
void fini_dsa();
void dsa_generate_special(MPI k);
void dsa_sign(MPI h, MPI r, MPI s);
int dsa_verify(MPI h, MPI r, MPI s);
