/*
 * Author: Andrew D. Fernandes <mailto:andrew@cryptonym.com>
 *         Cryptonym Corporation <http://www.cryptonym.com>
 */

#include <mpi.h>

/*
 * To compile, we assume that you have the headers and
 * libraries from GnuPG-0.9.5 (http://www.gnupg.org).
 */

extern int debug;
extern int mode;

extern MPI prime, A, B, n;  /* the curve parameters */

void mpi_init_extra();
void mpi_fini_extra();
void mpi_rshift255( MPI y, MPI x );
void mpi_255lsb( MPI y, MPI x );
void mpi_blank255( MPI y, MPI x );
void mpi_special_mod( MPI x );
