#ifdef THIS_IS_MAIN
#define GLOBAL
#else
#define GLOBAL extern
#endif

typedef enum { JNS_LITTLE_ENDIAN, JNS_BIG_ENDIAN } ENDIAN;

void md5_string(unsigned char *s, unsigned int len,
					 unsigned char *digest_p);
void sha_string(unsigned char *s, unsigned int len,
					 unsigned char *digest_p);
void hmac_md5_string(unsigned char *text_p, unsigned int text_len,
                     unsigned char *key_p , unsigned int key_len,
                     unsigned char *digest_p);
void hmac_sha_string(unsigned char *text_p, unsigned int text_len,
                     unsigned char *key_p , unsigned int key_len,
                     unsigned char *digest_p);
ENDIAN check_byte_order(void);

GLOBAL ENDIAN Endian;
