#define BYTES_PER_BLOCK 8

typedef struct 
{
  char *name_p;
  FILE *plain_p;
  unsigned long data_bytes;
  unsigned long data_blocks;
  int bytes_leftover;
  unsigned char *key_p;
  int key_len;
  ARRAYS pack_array; /* packaging Blowfish arrays */
  unsigned char ms_p[BYTES_PER_BLOCK];
  unsigned long i;
} FILE_INFO;

static unsigned long Min_chaff_blocks = 64lu;

static void help(char *program);
static unsigned long file_info(int index, FILE_INFO *fi_p);
static unsigned long get_ran(unsigned long *a, unsigned long *n_p);
